const customFixtures = require('./uat/shared/commands/_index-custom-fixtures');

const { getDefaultActor } = require('@zohodesk/testinglibrary/helpers');

function getPrimaryCookiePath() {
  const { email } = getDefaultActor();
  return `uat/playwright/.auth/${email}-cookies.json`;
}

/**
 * Represents the user configuration object.
 * @typedef {import('@zohodesk/testinglibrary').UserConfig} UserConfig
 */
module.exports = {
  headless: false,
  openReportOn: 'never',
  browsers: ['Chrome'],
  isAuthMode: true,
  authFilePath: getPrimaryCookiePath(),
  trace: 'on-first-retry',
  video: 'on-first-retry',
  retries:1,
  bddMode: true,
  featureFilesFolder: 'feature-files',
  stepDefinitionsFolder: 'steps',
  viewport: { width: 1280, height: 720 },
  testIdAttribute: 'data-id',
  additionalPages: {
    ...customFixtures
  }
};
